#ifndef __ICSSCREATELIGHT_H_INCLUDED__
#define __ICSSCREATELIGHT_H_INCLUDED__

#include "csutil/scf.h"
#include "action/icssaction.h"
#include "csgeom/vector3.h"
#include "csutil/cscolor.h"

SCF_VERSION(icssCreateLightAction, 0, 0, 1);
struct icssCreateLightAction : public iBase
{
	virtual void SetParams(const char* name, const csVector3& pos,
  	float radius, const csColor& color) = 0;
	virtual void SetName(const char *name) = 0;
	virtual void SetPosition(const csVector3 & pos) = 0;
	virtual void SetRadius(float radius) = 0;
	virtual void SetColor(const csColor &color) = 0;	
};

#endif

