#ifndef __ICSSMOVEACTION_H_INCLUDED__
#define __ICSSMOVEACTION_H_INCLUDED__

#include "icssaction.h"

#include "csgeom/vector3.h"

//// more specific interface for move actions
//// because they need to "update" able, so
//// that we don't have to add a new action to 
//// the do/undo stack for every little pixel the mouse
//// dragged the object
SCF_VERSION(icssMoveAction, 0, 0, 1);
struct icssMoveAction : public iBase
{
	//// Update the move and add the dir vector to it
	virtual void AddMove(csVector3 dir) = 0;
};


#endif
