#ifndef __ICSSTHINGPART_H_INCLUDED__
#define __ICSSTHINGPART_H_INCLUDED__




#include "csutil/scf.h"

SCF_VERSION(icssThingPart, 0, 0, 1);

struct iMeshWrapper;


struct icssThingPart : public iBase
{
	/// Get Count
	virtual int GetVertexCount() = 0;
	virtual int GetPolygonCount() = 0;

	/// Get Indices
	virtual int GetVertexIndex(int vertidx) = 0;
	virtual int GetPolygonIndex(int polyidx) = 0;

	/// add indices
	virtual void AddVertex(int vertidx) = 0;
	virtual void AddPolygon(int polyidx) = 0;

	/// set mesh
	virtual void SetMesh(iMeshWrapper *mwrap) = 0;
	virtual iMeshWrapper* GetMesh() = 0;
};

#endif

