#ifndef __SELPANEL_H_INCLUDED__
#define __SELPANEL_H_INCLUDED__

#include "wx/notebook.h"
#include "wx/panel.h"
#include "wx/treectrl.h"

class cssSelectionPanel : public wxPanel
{
  wxTreeItemId rootid, meshesid, sectorsid;

  cssDefaultSelection* m_defsel;
  wxTreeCtrl *m_seltree;
public:
  cssSelectionPanel (cssDefaultSelection *sel, wxNotebook *parent);
  virtual ~cssSelectionPanel();

  void OnRightClickItem (wxTreeEvent &e);
  void OnRemoveSelected (wxCommandEvent &e);

  void FillSelection();

  DECLARE_EVENT_TABLE();
};


#endif
