#ifndef __ICSSFROMFACTACTION_H_INCLUDED__
#define __ICSSFROMFACTACTION_H_INCLUDED__

#include "csutil/scf.h"
 
struct iMeshFactoryWrapper;
class csVector3;

SCF_VERSION(icssFromFactAction, 0, 0, 1);

struct icssFromFactAction : public iBase
{
  virtual void SetPosition(csVector3 &bb_min) = 0;
  virtual void SetSector(iSector *s) = 0;
  virtual void SetFactory(iMeshFactoryWrapper *mfw) = 0;
  virtual void SetName(const char *name) = 0;
};


#endif
