#ifndef __ICSSTHINGBOXACTION_H_INCLUDED__
#define __ICSSTHINGBOXACTION_H_INCLUDED__

#include "csutil/scf.h"
 
struct iMaterialWrapper;
class csVector3;

SCF_VERSION(icssThingBoxAction, 0, 0, 1);

struct icssThingBoxAction : public iBase
{
  virtual void SetBBox(csVector3 &bb_min, csVector3 &bb_max) = 0;
  virtual void SetMaterial(iMaterialWrapper *mat) = 0;
  virtual void SetSector(iSector *s) = 0;
};


#endif
