#ifndef __ICSSCREATEVIEW_H_INCLUDED__
#define __ICSSCREATEVIEW_H_INCLUDED__

#include "csutil/scf.h"

class wxWindow;
typedef char wxChar;
struct iDocumentNode;

SCF_VERSION(icssCreateView, 0, 0, 1);

struct icssCreateView : public iBase
{
  virtual wxWindow * Create(wxWindow *parent, 
                      const wxChar *title, int posx, int posy, int sizex, int sizey) = 0;

  /// supplied if window wants to save settings in layout file (current zoom e.g.)
  virtual bool SaveXML(wxWindow *wnd, iDocumentNode *parent) = 0;
  virtual bool LoadXML(wxWindow *wnd, iDocumentNode *parent) = 0;
};


#endif
