#include "namedlg.h"

#include "wx/button.h"
#include "wx/sizer.h"

BEGIN_EVENT_TABLE (cssNameDialog, wxDialog)
END_EVENT_TABLE()
  
cssNameDialog::cssNameDialog(wxWindow* parent, wxWindowID id, 
                  const wxString& title, const wxPoint& pos,
                  const wxSize& size, long style, 
                  const wxString& name)
            :wxDialog(parent, id, title, pos, size, style, name)
{
  wxBoxSizer *topsizer = new wxBoxSizer( wxVERTICAL );
  namectrl = new wxTextCtrl (this, -1, title);
  
  wxBoxSizer *button_sizer = new wxBoxSizer( wxHORIZONTAL );
  button_sizer->Add ( new wxButton( this, wxID_OK, "OK" ),
                      0, wxALL, 3 );

  button_sizer->Add(new wxButton( this, wxID_CANCEL, "Cancel" ),
                      0, wxALL, 3 );

  topsizer->Add(namectrl, 0, wxALL, 3);
  topsizer->Add(button_sizer, 0, wxALIGN_CENTER);
  
  SetAutoLayout(TRUE);
  SetSizer(topsizer);

  topsizer->Fit(this);
  topsizer->SetSizeHints(this);
}

cssNameDialog::~cssNameDialog()
{
}

void cssNameDialog::OnOk ( wxCommandEvent &event )
{
}

wxString cssNameDialog::GetText()
{
  return namectrl->GetValue();
}


