#ifndef __ADDSELECTION_H_INCLUDED__
#define __ADDSELECTION_H_INCLUDED__

#include "action/icssaction.h"
#include "action/icssaddselection.h"
#include "plugins/icssplugin.h"

class cssAddSelectionAction : public icssAction
{
	csRef<icssPlugin> m_selplug;
	csRefArray<iBase> m_objtoadd;
public:

	SCF_DECLARE_IBASE;

	cssAddSelectionAction(iBase *parent);
	virtual ~cssAddSelectionAction();

	//// icssAction interface
	virtual bool Initialize(iCStudioCS *csi);
	virtual bool Do();
	virtual bool Undo();
	virtual bool Redo();
	virtual const char *GetDescription()
	{ return "Add Selection"; }
	

	//// icssAddSelectionAction
	void Add(iBase *toadd);
	class cssAddSelAction : public icssAddSelectionAction
	{
		SCF_DECLARE_EMBEDDED_IBASE(cssAddSelectionAction);
		virtual void Add(iBase *toadd)
		{ scfParent->Add(toadd); };
	} scficssAddSelectionAction;
	friend class cssAddSelAction;
};

#endif
