#ifndef __CLEARSELECTION_H_INCLUDED__
#define __CLEARSELECTION_H_INCLUDED__

#include "action/icssaction.h"
#include "plugins/icssplugin.h"

#include "csutil/refarr.h"


class cssClearSelectionAction : public icssAction
{
	csRefArray<iBase> m_selbackup;
	csRef<icssPlugin> m_selplug;
public:
	SCF_DECLARE_IBASE;

	cssClearSelectionAction(iBase *parent);
	virtual ~cssClearSelectionAction();

	//// icssAction implementation
	virtual bool Initialize(iCStudioCS *csi);
	virtual bool Do();
	virtual bool Undo();
	virtual bool Redo();
	virtual const char *GetDescription()
	{ return "Clear Selection"; }
};

#endif

