#ifndef __THINGPARTSEL_H_INCLUDED__
#define __THINGPARTSEL_H_INCLUDED__

#include "plugins/icssthingpart.h"

class cssThingPart : public icssThingPart
{
	csArray<int> m_selverts;
	csArray<int> m_selpolys;
	csRef<iMeshWrapper> m_mwrap;

public:
	SCF_DECLARE_IBASE;

	cssThingPart(iBase *parent);
	virtual ~cssThingPart();
	/// icssThingPartSelection interface
	virtual int GetVertexCount();
	virtual int GetPolygonCount();
	virtual int GetVertexIndex(int vertidx);
	virtual int GetPolygonIndex(int polyidx);
	virtual void AddVertex(int vertidx);
	virtual void AddPolygon(int polyidx);
	virtual void SetMesh(iMeshWrapper *mwrap);
	virtual iMeshWrapper* GetMesh();
};


#endif
